%define version	1.31
%define release	1mdk
%define name 	perl-Convert-BER
%define realname	Convert-BER

Summary:        Convert-BER (module for perl)
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Development/Perl
Source: 	%{realname}-%{version}.tar.bz2
URL: 		http://www.cpan.org/modules/by-module/Convert/
BuildRoot: 	/%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}
Requires: 	perl

%description
    Convert::BER is a perl object class implementation to encode
and decode objects as described by ITU-T standard X.209 (ASN.1)
using Basic Encoding Rules (BER)
	
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{realname}-%{version}

%build
rm -rf $RPM_BUILD_ROOT
perl Makefile.PL PREFIX=%{prefix}
make
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/%{prefix} install
   
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*
%{_libdir}/perl5/man/*/*
%doc MANIFEST README ChangeLog

%changelog
* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 1.31-1mdk
- doc
- macroszifications.

* Tue Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.
